textures/pixmas/pixmas_skybox
{
	qer_editorimage textures/pixmas/sky_clouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	surfaceparm sky
    q3map_sunExt 0.825147 0.976608 1 150 100 128 3 12    
    q3map_skyLight 165 5 
	skyparms full 512 -
	{
		map textures/pixmas/sky_clouds.tga
		tcMod scroll 0.01 0.01
		tcMod scale 3 2
	}
	{
		map textures/pixmas/sky_clouds_blue.tga
		blendFunc add
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
	}
}


textures/pixmas/pixmas_water
{
	q3map_globaltexture
	qer_editorimage textures/pixmas/water.jpg
	qer_trans 0.5
	surfaceparm water
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 100
	cull disable
	{
		map textures/pixmas/water.jpg
		blendFunc GL_DST_COLOR GL_one
		rgbGen identity
		tcMod scroll 0.1 0.1
	}
	{
		map textures/pixmas/water_blue.jpg
		blendFunc GL_DST_COLOR GL_one
		rgbGen identity
		tcMod scroll -0.1 0.01
	}
}


textures/pixmas/red_glass
{
	q3map_globaltexture
	qer_trans 0.8
	qer_editorimage textures/pixmas/glass2.tga
	surfaceparm nodamage	
	surfaceparm trans
	surfaceparm nomarks
	q3map_surfacelight 100
	surfaceparm nolightmap
	cull twosided
	{
		map textures/pixmas/glass2.tga
		blendfunc add
	}
	{
		map textures/pixmas/red_tin1d.tga
		blendFunc add
		tcgen environment
		rgbGen identity
	}
}

textures/pixmas/red_glass_slick
{
	q3map_globaltexture
	qer_trans 0.8
	qer_editorimage textures/pixmas/red_tin1d.tga
	surfaceparm nodamage	
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm slick
	q3map_surfacelight 100
	surfaceparm nolightmap
	cull twosided
	{
		map textures/pixmas/glass2.tga
		blendfunc add
	}
	{
		map textures/pixmas/red_tin1d.tga
		blendFunc add
		tcgen environment
		rgbGen identity
	}
}

textures/pixmas/blue_glass
{
	q3map_globaltexture
	qer_trans 0.8
	qer_editorimage textures/pixmas/glass2.tga
	surfaceparm nodamage	
	surfaceparm trans
	surfaceparm nomarks
	q3map_surfacelight 100
	surfaceparm nolightmap
	cull twosided
	{
		map textures/pixmas/glass2.tga
		blendfunc add
	}
	{
		map textures/pixmas/blue_tin1d.tga
		blendFunc add
		tcgen environment
		rgbGen identity
	}
}

textures/pixmas/blue_glass_slick
{
	q3map_globaltexture
	qer_trans 0.8
	qer_editorimage textures/pixmas/blue_tin1d.tga
	surfaceparm nodamage	
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm slick
	q3map_surfacelight 100
	surfaceparm nolightmap
	cull twosided
	{
		map textures/pixmas/glass2.tga
		blendfunc add
	}
	{
		map textures/pixmas/blue_tin1d.tga
		blendFunc add
		tcgen environment
		rgbGen identity
	}
}

textures/pixmas/white
{
    qer_editorimage textures/pixmas/white.jpg
    polygonOffset
    surfaceparm nodlight
    surfaceparm nodamage
    {
        map textures/pixmas/white.jpg
    }

}

textures/pixmas/pix_brown
{
    qer_editorimage textures/pixmas/brown.jpg
    polygonOffset
    surfaceparm nodlight
    surfaceparm nodamage
    {
        map textures/pixmas/brown.jpg
    }
}

textures/pixmas/pix_black
{
    qer_editorimage textures/pixmas/black.jpg
    polygonOffset
    surfaceparm nodlight
    surfaceparm nodamage
    {
        map textures/pixmas/black.jpg
    }
}

textures/pixmas/pix_green
{
    qer_editorimage textures/pixmas/green.jpg
    polygonOffset
    surfaceparm nodlight
    surfaceparm nodamage
    {
        map textures/pixmas/green.jpg
    }
}

textures/pixmas/pix_red
{
    qer_editorimage textures/pixmas/red.jpg
    polygonOffset
    surfaceparm nodlight
    surfaceparm nodamage
    {
        map textures/pixmas/red.jpg
    }
}

textures/pixmas/pix_yellow
{
    qer_editorimage textures/pixmas/yellow.jpg
    polygonOffset
    surfaceparm nodlight
    surfaceparm nodamage
    {
        map textures/pixmas/yellow.jpg
    }
}


textures/pixmas/no_wj
    {
	qer_editorimage textures/pixmas/wall1.jpg
    surfaceparm slick
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/pixmas/wall1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
    }	
}

// textures/pixmas/light_trans
// {
//     qer_editorimage textures/pixmas/white.jpg
//     qer_trans 0.5
//     q3map_surfacelight 1000
//     surfaceparm nolightmap
//     surfaceparm nonsolid
//     surfaceparm trans
//     {
//         map textures/pixmas/white.jpg
//         alphaFunc GE128
//         alphaGen const 0
//     }
// }